diff -ru /opt/local/var/db/dports/sources/rsync.rsync.darwinports.org_dpupdate_dports/editors/vim/Portfile ./Portfile
--- /opt/local/var/db/dports/sources/rsync.rsync.darwinports.org_dpupdate_dports/editors/vim/Portfile	2005-09-09 17:45:44.000000000 +0200
+++ ./Portfile	2006-03-11 18:39:02.000000000 +0100
@@ -2,9 +2,9 @@
 PortSystem		1.0
 
 name			vim
-set vim_version		6.3
-set vim_patchlevel	82
-revision 		2
+set vim_version		6.4
+set vim_patchlevel	8
+revision 		0
 version			${vim_version}.${vim_patchlevel}
 categories		editors
 maintainers		mij@opendarwin.org
@@ -58,6 +58,7 @@
 
 configure.args		--enable-gui=no --without-x --disable-gpm \
 					--mandir=${prefix}/share/man
+configure.env       CFLAGS="-O1"
 
 variant aqua {
 	master_sites-append	http://www.douglas.stebila.ca/code/vim/app/:app_aqua \
diff -ru /opt/local/var/db/dports/sources/rsync.rsync.darwinports.org_dpupdate_dports/editors/vim/dist_checksums ./dist_checksums
--- /opt/local/var/db/dports/sources/rsync.rsync.darwinports.org_dpupdate_dports/editors/vim/dist_checksums	2004-09-15 07:44:52.000000000 +0200
+++ ./dist_checksums	2006-02-17 21:35:54.000000000 +0100
@@ -1,8 +1,8 @@
 # $Id: dist_checksums,v 1.3 2004/09/15 05:44:52 rshaw Exp $
-checksums-append	vim-6.3-extra.tar.gz md5 6e4bd6c8122bcb9dc576514bdb52484e \
-					vim-6.3-lang.tar.gz md5 5395c4dacbf1c5008b22c4b86794e8a7 \
-					vim-6.3-rt1.tar.gz md5 495a965b654505646e141149b69565ab \
-					vim-6.3-rt2.tar.gz md5 55a5686611e70818b551b4274c76fd38 \
-					vim-6.3-src1.tar.gz md5 b8562626efa82ee23fed2b969173fdde \
-					vim-6.3-src2.tar.gz md5 8f91bff360c5ac9b5098b7ce0f03dfc9
+checksums-append	vim-6.4-extra.tar.gz md5 5f4489776cafcb3588223f79eb26e287 \
+					vim-6.4-lang.tar.gz md5 3cca6128fe5439e89d3828b5e708bddb \
+					vim-6.4-rt1.tar.gz md5 468dd50c8031f4e0bfdb07a0e31907da \
+					vim-6.4-rt2.tar.gz md5 2b0f591099f1385ff8dc9d7221a86563 \
+					vim-6.4-src1.tar.gz md5 0633561cdb6de86e631c885d24183ee3 \
+					vim-6.4-src2.tar.gz md5 ce18a912e5b2b30aa5d3056b8794b25c
 
diff -ru /opt/local/var/db/dports/sources/rsync.rsync.darwinports.org_dpupdate_dports/editors/vim/files/patch-src-auto-configure ./files/patch-src-auto-configure
--- /opt/local/var/db/dports/sources/rsync.rsync.darwinports.org_dpupdate_dports/editors/vim/files/patch-src-auto-configure	2004-12-01 16:16:15.000000000 +0100
+++ ./files/patch-src-auto-configure	2006-02-17 21:33:49.000000000 +0100
@@ -1,6 +1,6 @@
 --- src/auto/configure.orig	Tue Jul 20 10:22:53 2004
 +++ src/auto/configure	Tue Jul 20 10:34:04 2004
-@@ -1669,10 +1669,12 @@
+@@ -1680,10 +1669,12 @@
        fi
      fi
      if test -n "$PERL"; then
@@ -13,7 +13,7 @@
      fi
    fi
  fi
-@@ -1834,7 +1836,7 @@
+@@ -1845,7 +1836,7 @@
  eof
  	    	    eval "`cd ${PYTHON_CONFDIR} && make -f ${tmp_mkf} __ | sed '/ directory /d'`"
  	    rm -f ${tmp_mkf}
@@ -22,7 +22,7 @@
  		"import sys; sys.exit(${vi_cv_var_python_version} < 2.3)"; then
  	      vi_cv_path_python_plibs="-framework Python"
  	    else
-@@ -1857,7 +1859,7 @@
+@@ -1868,7 +1859,7 @@
  	  PYTHON_CFLAGS="-I${vi_cv_path_python_pfx}/include/python${vi_cv_var_python_version} -I${vi_cv_path_python_epfx}/include/python${vi_cv_var_python_version}"
  	fi
  	PYTHON_SRC="if_python.c"
@@ -31,37 +31,3 @@
  	  PYTHON_OBJ="objects/if_python.o"
  	else
  	  PYTHON_OBJ="objects/if_python.o objects/py_config.o"
-@@ -2106,10 +2108,9 @@
- 
-       echo $ac_n "checking for location of Tcl include""... $ac_c" 1>&6
- echo "configure:2109: checking for location of Tcl include" >&5
--      if test "x$MACOSX" != "xyes"; then
- 	tclinc="$tclloc/include $tclloc/include/tcl $tclloc/include/tcl$tclver /usr/local/include"
--      else
--		tclinc="/System/Library/Frameworks/Tcl.framework/Headers"
-+      if test "x$MACOSX" = "xyes"; then
-+		tclinc="$tclinc /System/Library/Frameworks/Tcl.framework/Headers"
-       fi
-       for try in $tclinc; do
- 	if test -f "$try/tcl.h"; then
-@@ -2125,17 +2126,16 @@
-       if test -z "$SKIP_TCL"; then
- 	echo $ac_n "checking for location of tclConfig.sh script""... $ac_c" 1>&6
- echo "configure:2128: checking for location of tclConfig.sh script" >&5
--	if test "x$MACOSX" != "xyes"; then
- 	  tclcnf=`echo $tclinc | sed s/include/lib/g`
--	else
--	  	  tclcnf="/System/Library/Frameworks/Tcl.framework"
-+	if test "x$MACOSX" = "xyes"; then
-+	  	  tclcnf="$tclcnf /System/Library/Frameworks/Tcl.framework"
- 	fi
- 	for try in $tclcnf; do
- 	  if test -f $try/tclConfig.sh; then
- 	    echo "$ac_t""$try/tclConfig.sh" 1>&6
- 	    . $try/tclConfig.sh
- 	    	    TCL_LIBS=`eval echo "$TCL_LIB_SPEC $TCL_LIBS"`
--	    	    	    TCL_DEFS=`echo $TCL_DEFS | tr ' ' '\012' | sed -e '/^-[^D]/d' -e '/-D[^_]/d' -e 's/-D_/ -D_/' | tr -d '\012'`
-+	    	    	    TCL_DEFS=`echo $TCL_DEFS | sed -e 's/[\\] /[\\]_/' | tr ' ' '\012' | sed -e 's/[\\]_/[\\] /' | sed -e '/^-[^D]/d' -e '/-D[^_]/d' -e 's/-D_/ -D_/' | tr -d '\012'`
- 	    break
- 	  fi
- 	done
diff -ru /opt/local/var/db/dports/sources/rsync.rsync.darwinports.org_dpupdate_dports/editors/vim/files/patch-src-configure.in ./files/patch-src-configure.in
--- /opt/local/var/db/dports/sources/rsync.rsync.darwinports.org_dpupdate_dports/editors/vim/files/patch-src-configure.in	2004-12-01 16:16:15.000000000 +0100
+++ ./files/patch-src-configure.in	2006-02-17 21:33:49.000000000 +0100
@@ -1,6 +1,6 @@
 --- src/configure.in.orig	Tue Jul 20 10:22:47 2004
 +++ src/configure.in	Tue Jul 20 10:23:37 2004
-@@ -389,10 +389,12 @@
+@@ -390,10 +389,12 @@
        fi
      fi
      if test -n "$PERL"; then
@@ -13,7 +13,7 @@
      fi
    fi
  fi
-@@ -486,7 +488,7 @@
+@@ -487,7 +488,7 @@
  	    dnl -- delete the lines from make about Entering/Leaving directory
  	    eval "`cd ${PYTHON_CONFDIR} && make -f ${tmp_mkf} __ | sed '/ directory /d'`"
  	    rm -f ${tmp_mkf}
@@ -22,7 +22,7 @@
  		"import sys; sys.exit(${vi_cv_var_python_version} < 2.3)"; then
  	      vi_cv_path_python_plibs="-framework Python"
  	    else
-@@ -509,7 +511,7 @@
+@@ -510,7 +511,7 @@
  	fi
  	PYTHON_SRC="if_python.c"
  	dnl For Mac OSX 10.2 config.o is included in the Python library.
@@ -31,7 +31,7 @@
  	  PYTHON_OBJ="objects/if_python.o"
  	else
  	  PYTHON_OBJ="objects/if_python.o objects/py_config.o"
-@@ -619,11 +621,10 @@
+@@ -624,11 +621,10 @@
        tclloc=`echo 'set l [[info library]];set i [[string last lib $l]];incr i -2;puts [[string range $l 0 $i]]' | $vi_cv_path_tcl -`
  
        AC_MSG_CHECKING(for location of Tcl include)
@@ -46,7 +46,7 @@
        fi
        for try in $tclinc; do
  	if test -f "$try/tcl.h"; then
-@@ -638,11 +639,10 @@
+@@ -643,11 +639,10 @@
        fi
        if test -z "$SKIP_TCL"; then
  	AC_MSG_CHECKING(for location of tclConfig.sh script)
@@ -61,12 +61,3 @@
  	fi
  	for try in $tclcnf; do
  	  if test -f $try/tclConfig.sh; then
-@@ -652,7 +652,7 @@
- 	    TCL_LIBS=`eval echo "$TCL_LIB_SPEC $TCL_LIBS"`
- 	    dnl Use $TCL_DEFS for -D_THREAD_SAFE et al.  But only use the
- 	    dnl "-D_ABC" items.
--	    TCL_DEFS=`echo $TCL_DEFS | tr ' ' '\012' | sed -e '/^-[[^D]]/d' -e '/-D[[^_]]/d' -e 's/-D_/ -D_/' | tr -d '\012'`
-+	    TCL_DEFS=`echo $TCL_DEFS | sed -e 's/\\ /\\_/' | tr ' ' '\012' | sed -e 's/\\_/\\ /' | sed -e '/^-[[^D]]/d' -e '/-D[[^_]]/d' -e 's/-D_/ -D_/' | tr -d '\012'`
- 	    break
- 	  fi
- 	done
diff -ru /opt/local/var/db/dports/sources/rsync.rsync.darwinports.org_dpupdate_dports/editors/vim/patch_checksums ./patch_checksums
--- /opt/local/var/db/dports/sources/rsync.rsync.darwinports.org_dpupdate_dports/editors/vim/patch_checksums	2005-08-01 20:45:41.000000000 +0200
+++ ./patch_checksums	2006-03-11 18:43:12.000000000 +0100
@@ -1,83 +1,9 @@
 # $Id: patch_checksums,v 1.12 2005/08/01 18:26:48 landonf Exp $
-checksums-append	6.3.001 md5 798fc87d3ebc06e7f104ff30960a4630 \
-					6.3.002 md5 039c3f84677116a20ad98e09a03d827d \
-					6.3.003 md5 3a39b1d6d46724b89425a19843d42908 \
-					6.3.004 md5 ce8cb9548ad2ae5dafcf01cd23df4100 \
-					6.3.005 md5 a98e90e9444fe9e9d7c8d5dc07302740 \
-					6.3.006 md5 f85608457424ad71191dc1c8953f3fc4 \
-					6.3.007 md5 9bb94caebd7e0ed959398d55d842eacf \
-					6.3.008 md5 1d205e97c42374d32520c95a1db9e497 \
-					6.3.009 md5 a489375bf0b15f144f87a88ab5e36c95 \
-					6.3.010 md5 9bcec5ee9abbffac4f12f70f69241a4c \
-					6.3.011 md5 7e32cbdb890405d6ca4ee37c671e279b \
-					6.3.012 md5 d6258661d78b82cdc29b6b0d8e355289 \
-					6.3.013 md5 3e31ecaaf531318aa73c6adc33aab7fd \
-					6.3.014 md5 a0cd31c8ec7a575b04be2416e5f64edf \
-					6.3.015 md5 2864855cb6cb0d3048cc8e74b16a5990 \
-					6.3.016 md5 2f58e8b00f4614c2b071838d299310b6 \
-					6.3.017 md5 821323cc5cdefbc69899e6bc8b30bc30 \
-					6.3.018 md5 735e869f92d6c80c6d43c837dee670b3 \
-					6.3.019 md5 f6885686d11cd7f794805a70ee849579 \
-					6.3.020 md5 e51adda32a4a1a73dff2e92b3715b1ef \
-					6.3.021 md5 559410e68495eed2fd05e65533b03aa8 \
-					6.3.022 md5 7f5bdfd30410e22776711a49404583b3 \
-					6.3.023 md5 2f460f5691c31d14354f5ca20536b6f1 \
-					6.3.024 md5 e3e1f86a74242731d93a009cb692f952 \
-					6.3.025 md5 f45faa33e3ccc853f0fae4f76421bb1f \
-					6.3.026 md5 30c225d5ee55b073eec23037969edb48 \
-					6.3.027 md5 c6f122ba3c95d03f835842d05d66c3bd \
-					6.3.028 md5 11c22371c8ca2e3588f894bba8c5409f \
-					6.3.029 md5 7a3493a75ee1ae8277ac2d824b356758 \
-					6.3.030 md5 f1a101fcc7474f68189fbfb08d73fd52 \
-					6.3.031 md5 69ce6ad1dbcb5df6579764bb1975153b \
-					6.3.032 md5 b0004e79c5fb690dca71822c1e9051fc \
-					6.3.033 md5 2e4a5a94cbc17ca42535f0702f103743 \
-					6.3.034 md5 ceae20562137686b028bb03f8bdc1276 \
-					6.3.035 md5 e859fe3957ebbf260005caf679593e31 \
-					6.3.036 md5 162c46080fc0a858917ea63d156154de \
-					6.3.037 md5 b595c4f9d9638e9d715d0dec09089b16 \
-					6.3.038 md5 605fb63a99305bd48918ea5df2664057 \
-					6.3.039 md5 6de3ea5c394d55504fc846a7e2e54968 \
-					6.3.040 md5 26f4b0e018ceb5d4a8298989e5a57dc0 \
-					6.3.041 md5 78d5441d1de1db062534b7448e073ec0 \
-					6.3.042 md5 4a8bc79b06357416164bfc77b16e3b40 \
-					6.3.043 md5 54352b78dae65bdd0cac2471c257b5f1 \
-					6.3.044 md5 db084b31f1cbc8b66be82cb919d6fde9 \
-					6.3.045 md5 025814a6478f8d1bcf199ce6422b59be \
-					6.3.046 md5 db175fa4955264572d092e67b9c756af \
-					6.3.047 md5 195cc3b08a4f4da8547faf7722a46035 \
-					6.3.048 md5 40bdb1312b6865a7b13681e765bee0f1 \
-					6.3.049 md5 b2171359bc93f307f941865a859d1eea \
-					6.3.050 md5 7303a0dd8232ea1fcc72df21e6839184 \
-					6.3.051 md5 1d8a15e289b09afee95df671b8216e17 \
-					6.3.052 md5 01b0fb256e3fe6ce2daffc83c4d93f6f \
-					6.3.053 md5 933f35dfc3969ede01738fe05261932b \
-					6.3.054 md5 34589da311b5d930c4b277bb5667cf97 \
-					6.3.055 md5 f30fd2a5532eb5070e87ba944a770d0e \
-					6.3.056 md5 676dd4ecd31056fd532f20704bea4caa \
-					6.3.057 md5 6ddcf6560f6add3315d37730a04c3916 \
-					6.3.058 md5 e459f5ab4398afcf1ca950fe481f8c7f \
-					6.3.059 md5 0e96b634e90f44ec105e2e645defad67 \
-					6.3.060 md5 8fd62455ed7997427dc18a251fcf2b35 \
-					6.3.061 md5 94f802921fe0687b283369b4deed1255 \
-					6.3.062 md5 2206f44458cb7a857e572f598034a9c7 \
-					6.3.063 md5 bf517161b45786a20d8d7c1023d85bec \
-					6.3.064 md5 bfda6b471fb5e00ef47a222450237b6f \
-					6.3.065 md5 e5d1cd5766735e2972104e6b2162a76f \
-					6.3.066 md5 4f367e1dbb4586598adc0ad5c9fc133d \
-					6.3.067 md5 230c335c728a62828077c98a0d70d804 \
-					6.3.068 md5 bfec5079535e1dadb87bf6205a7d0c1d \
-					6.3.069 md5 50d75f86e2d4e8aeb7b11a7c0242bd37 \
-					6.3.070 md5 ef33566dd7e9c9286760275023c8c1d3 \
-					6.3.071 md5 adbe73dc97617e0d744dda9f25697e11 \
-					6.3.072 md5 22e41c0e790ab4dbd69a224a06a9f832 \
-					6.3.073 md5 02fce27a1cd1d19df02090c913549a9b \
-					6.3.074 md5 cffffffd902f270c3727c8fff9d4324f \
-					6.3.075 md5 b1d6abbad12838321632c95a146f086f \
-					6.3.076 md5 ccb87038392e542b1a0c4ede980e997b \
-					6.3.077 md5 b98f717012040bfb2f1df87e0322e2b1 \
-					6.3.078 md5 52189d33ad43571bcaa1cf498016f250 \
-					6.3.079 md5 6d9d39cd3440d628fc09cd8eeabd64ab \
-					6.3.080 md5 bf8b475e6d947c8a290e64f90f40419e \
-					6.3.081 md5 24e8249cbb5a54c8c1f68baef225e852 \
-					6.3.082 md5 337d03cf50317445534131717e62693b
+checksums-append	6.4.001 sha1 0078ebafa2d2036c38b882101e7d723e9b4a5638 \
+					6.4.002 sha1 0e397d0d217e765d4a76ae94b9bca73648d56bf2 \
+					6.4.003 sha1 e382c64d737388cbcd769a3a9d4817f824207138 \
+					6.4.004 sha1 25133e91e7f647be21c36e62c11c43cec996a890 \
+					6.4.005 sha1 f58c75d14d449ba88a74ca322d5f9ccef5dcacea \
+					6.4.006 sha1 a8e07fc7e84570ddc60d68d0a71b66aa5a95773f \
+					6.4.007 sha1 df725b6141d93e884545bb8020143ad9dc91223a \
+					6.4.008 sha1 dd1ca0936295b1f81d9a10a3c9e51b0268ffb839