diff -Naur aj16.old/CMap/UniJIS-UTF16-H aj16.new/CMap/UniJIS-UTF16-H
--- aj16.old/CMap/UniJIS-UTF16-H	2005-12-14 23:08:06.000000000 +0900
+++ aj16.new/CMap/UniJIS-UTF16-H	2006-05-04 08:34:34.000000000 +0900
@@ -3,9 +3,9 @@
 %%IncludeResource: ProcSet (CIDInit)
 %%BeginResource: CMap (UniJIS-UTF16-H)
 %%Title: (UniJIS-UTF16-H Adobe Japan1 6)
-%%Version: 1.005
+%%Version: 1.006
 %%Copyright: -----------------------------------------------------------
-%%Copyright: Copyright 1990-2005 Adobe Systems Incorporated.
+%%Copyright: Copyright 1990-2006 Adobe Systems Incorporated.
 %%Copyright: All Rights Reserved.
 %%Copyright:
 %%Copyright: Patents Pending
@@ -37,7 +37,7 @@
 end def
 
 /CMapName /UniJIS-UTF16-H def
-/CMapVersion 1.005 def
+/CMapVersion 1.006 def
 /CMapType 1 def
 
 /XUID [1 10 25611] def
@@ -13649,6 +13649,7 @@
 <2460> <2473> 7555
 <2474> <2487> 8071
 <2488> <2490> 8062
+<2491> <2492> 20587
 <249c> <24b5> 8112
 <24b6> <24cf> 10339
 <24d0> <24e9> 10313
@@ -13671,10 +13672,10 @@
 <29fa> <29fb> 16207
 <2b05> <2b07> 8207
 <2e8c> <2e8d> 13833
-<2ea1> <2ea2> 14689
 endcidrange
 
 100 begincidrange
+<2ea1> <2ea2> 14689
 <2ebe> <2ec0> 14197
 <2f14> <2f15> 4301
 <2f21> <2f22> 4538
@@ -13774,10 +13775,10 @@
 <52ba> <52bb> 17323
 <52f8> <52f9> 4293
 <530a> <530b> 14364
-<5327> <5329> 21226
 endcidrange
 
 100 begincidrange
+<5327> <5329> 21226
 <532b> <532c> 21229
 <5387> <5388> 21237
 <53c4> <53c5> 19217
@@ -13877,10 +13878,10 @@
 <61ec> <61ed> 21599
 <6208> <6209> 4930
 <6232> <6233> 4941
-<628d> <628f> 21614
 endcidrange
 
 100 begincidrange
+<628d> <628f> 21614
 <6292> <6293> 4954
 <62b6> <62b7> 21618
 <62be> <62bf> 21621
@@ -13980,10 +13981,10 @@
 <7318> <7319> 18067
 <7336> <7337> 3867
 <733a> <733b> 19538
-<734e> <734f> 5643
 endcidrange
 
 100 begincidrange
+<734e> <734f> 5643
 <735d> <7360> 21970
 <736e> <736f> 18078
 <7385> <7386> 14792
@@ -14083,10 +14084,10 @@
 <81dd> <81de> 19717
 <81df> <81e0> 6290
 <81f0> <81f2> 22282
-<81fa> <81fb> 6293
 endcidrange
 
 100 begincidrange
+<81fa> <81fb> 6293
 <8201> <8202> 6296
 <8213> <8214> 19724
 <826a> <826b> 6317
@@ -14186,10 +14187,10 @@
 <90c4> <90c5> 17154
 <90d8> <90d9> 22681
 <90fe> <90ff> 18792
-<9122> <9123> 17160
 endcidrange
 
 100 begincidrange
+<9122> <9123> 17160
 <9146> <9147> 18800
 <9193> <9194> 22701
 <91ad> <91ae> 15213
@@ -14289,10 +14290,10 @@
 <9b9f> <9ba0> 7314
 <9bd1> <9bd2> 7323
 <9c18> <9c1a> 19040
-<9c49> <9c4a> 19052
 endcidrange
 
-59 begincidrange
+60 begincidrange
+<9c49> <9c4a> 19052
 <9c4f> <9c50> 17215
 <9c69> <9c6b> 19060
 <9c6d> <9c6e> 19063
diff -Naur aj16.old/CMap/UniJIS-UTF32-H aj16.new/CMap/UniJIS-UTF32-H
--- aj16.old/CMap/UniJIS-UTF32-H	2005-12-14 23:08:07.000000000 +0900
+++ aj16.new/CMap/UniJIS-UTF32-H	2006-05-04 08:34:34.000000000 +0900
@@ -3,9 +3,9 @@
 %%IncludeResource: ProcSet (CIDInit)
 %%BeginResource: CMap (UniJIS-UTF32-H)
 %%Title: (UniJIS-UTF32-H Adobe Japan1 6)
-%%Version: 1.005
+%%Version: 1.006
 %%Copyright: -----------------------------------------------------------
-%%Copyright: Copyright 1990-2005 Adobe Systems Incorporated.
+%%Copyright: Copyright 1990-2006 Adobe Systems Incorporated.
 %%Copyright: All Rights Reserved.
 %%Copyright:
 %%Copyright: Patents Pending
@@ -37,7 +37,7 @@
 end def
 
 /CMapName /UniJIS-UTF32-H def
-/CMapVersion 1.005 def
+/CMapVersion 1.006 def
 /CMapType 1 def
 
 /XUID [1 10 25539] def
@@ -13647,6 +13647,7 @@
 <00002460> <00002473> 7555
 <00002474> <00002487> 8071
 <00002488> <00002490> 8062
+<00002491> <00002492> 20587
 <0000249c> <000024b5> 8112
 <000024b6> <000024cf> 10339
 <000024d0> <000024e9> 10313
@@ -13669,10 +13670,10 @@
 <000029fa> <000029fb> 16207
 <00002b05> <00002b07> 8207
 <00002e8c> <00002e8d> 13833
-<00002ea1> <00002ea2> 14689
 endcidrange
 
 100 begincidrange
+<00002ea1> <00002ea2> 14689
 <00002ebe> <00002ec0> 14197
 <00002f14> <00002f15> 4301
 <00002f21> <00002f22> 4538
@@ -13772,10 +13773,10 @@
 <000052ba> <000052bb> 17323
 <000052f8> <000052f9> 4293
 <0000530a> <0000530b> 14364
-<00005327> <00005329> 21226
 endcidrange
 
 100 begincidrange
+<00005327> <00005329> 21226
 <0000532b> <0000532c> 21229
 <00005387> <00005388> 21237
 <000053c4> <000053c5> 19217
@@ -13875,10 +13876,10 @@
 <000061ec> <000061ed> 21599
 <00006208> <00006209> 4930
 <00006232> <00006233> 4941
-<0000628d> <0000628f> 21614
 endcidrange
 
 100 begincidrange
+<0000628d> <0000628f> 21614
 <00006292> <00006293> 4954
 <000062b6> <000062b7> 21618
 <000062be> <000062bf> 21621
@@ -13978,10 +13979,10 @@
 <00007318> <00007319> 18067
 <00007336> <00007337> 3867
 <0000733a> <0000733b> 19538
-<0000734e> <0000734f> 5643
 endcidrange
 
 100 begincidrange
+<0000734e> <0000734f> 5643
 <0000735d> <00007360> 21970
 <0000736e> <0000736f> 18078
 <00007385> <00007386> 14792
@@ -14081,10 +14082,10 @@
 <000081dd> <000081de> 19717
 <000081df> <000081e0> 6290
 <000081f0> <000081f2> 22282
-<000081fa> <000081fb> 6293
 endcidrange
 
 100 begincidrange
+<000081fa> <000081fb> 6293
 <00008201> <00008202> 6296
 <00008213> <00008214> 19724
 <0000826a> <0000826b> 6317
@@ -14184,10 +14185,10 @@
 <000090c4> <000090c5> 17154
 <000090d8> <000090d9> 22681
 <000090fe> <000090ff> 18792
-<00009122> <00009123> 17160
 endcidrange
 
 100 begincidrange
+<00009122> <00009123> 17160
 <00009146> <00009147> 18800
 <00009193> <00009194> 22701
 <000091ad> <000091ae> 15213
@@ -14287,10 +14288,10 @@
 <00009b9f> <00009ba0> 7314
 <00009bd1> <00009bd2> 7323
 <00009c18> <00009c1a> 19040
-<00009c49> <00009c4a> 19052
 endcidrange
 
-59 begincidrange
+60 begincidrange
+<00009c49> <00009c4a> 19052
 <00009c4f> <00009c50> 17215
 <00009c69> <00009c6b> 19060
 <00009c6d> <00009c6e> 19063
diff -Naur aj16.old/CMap/UniJIS-UTF8-H aj16.new/CMap/UniJIS-UTF8-H
--- aj16.old/CMap/UniJIS-UTF8-H	2005-12-14 23:08:07.000000000 +0900
+++ aj16.new/CMap/UniJIS-UTF8-H	2006-05-04 08:34:34.000000000 +0900
@@ -3,9 +3,9 @@
 %%IncludeResource: ProcSet (CIDInit)
 %%BeginResource: CMap (UniJIS-UTF8-H)
 %%Title: (UniJIS-UTF8-H Adobe Japan1 6)
-%%Version: 13.005
+%%Version: 13.006
 %%Copyright: -----------------------------------------------------------
-%%Copyright: Copyright 1990-2005 Adobe Systems Incorporated.
+%%Copyright: Copyright 1990-2006 Adobe Systems Incorporated.
 %%Copyright: All Rights Reserved.
 %%Copyright:
 %%Copyright: Patents Pending
@@ -37,7 +37,7 @@
 end def
 
 /CMapName /UniJIS-UTF8-H def
-/CMapVersion 13.005 def
+/CMapVersion 13.006 def
 /CMapType 1 def
 
 /XUID [1 10 25359] def
@@ -13682,6 +13682,7 @@
 <e291b4> <e291bf> 8071
 <e29280> <e29287> 8083
 <e29288> <e29290> 8062
+<e29291> <e29292> 20587
 <e2929c> <e292b5> 8112
 <e292b6> <e292bf> 10339
 <e29380> <e2938f> 10349
@@ -13700,10 +13701,10 @@
 <e29896> <e29897> 16233
 <e2989c> <e2989d> 8220
 <e299a8> <e299a9> 12098
-<e299b2> <e299bd> 16314
 endcidrange
 
 100 begincidrange
+<e299b2> <e299bd> 16314
 <e29db6> <e29dbe> 8286
 <e2a4b4> <e2a4b5> 16201
 <e2a7ba> <e2a7bb> 16207
@@ -13803,10 +13804,10 @@
 <e588b1> <e588b2> 19187
 <e5898b> <e5898c> 4261
 <e589b8> <e589b9> 19194
-<e58a95> <e58a97> 21198
 endcidrange
 
 100 begincidrange
+<e58a95> <e58a97> 21198
 <e58aac> <e58aad> 4279
 <e58ab6> <e58ab8> 21205
 <e58aba> <e58abb> 17323
@@ -13906,10 +13907,10 @@
 <e68598> <e6859a> 4887
 <e68680> <e68681> 21583
 <e68683> <e68684> 21585
-<e68692> <e68693> 17648
 endcidrange
 
 100 begincidrange
+<e68692> <e68693> 17648
 <e68780> <e68781> 21591
 <e6878e> <e6878f> 21593
 <e687ac> <e687ad> 21599
@@ -14009,10 +14010,10 @@
 <e78ba0> <e78ba1> 5628
 <e78c84> <e78c85> 14784
 <e78c98> <e78c99> 18067
-<e78cb6> <e78cb7> 3867
 endcidrange
 
 100 begincidrange
+<e78cb6> <e78cb7> 3867
 <e78cba> <e78cbb> 19538
 <e78d8e> <e78d8f> 5643
 <e78d9d> <e78da0> 21970
@@ -14112,10 +14113,10 @@
 <e8879f> <e887a0> 6290
 <e887b0> <e887b2> 22282
 <e887ba> <e887bb> 6293
-<e88881> <e88882> 6296
 endcidrange
 
 100 begincidrange
+<e88881> <e88882> 6296
 <e88893> <e88894> 19724
 <e889aa> <e889ab> 6317
 <e889b7> <e889b8> 6321
@@ -14215,10 +14216,10 @@
 <e984a2> <e984a3> 17160
 <e98586> <e98587> 18800
 <e98693> <e98694> 22701
-<e986ad> <e986ae> 15213
 endcidrange
 
 100 begincidrange
+<e986ad> <e986ae> 15213
 <e98780> <e98781> 6963
 <e98783> <e98784> 18809
 <e98793> <e98794> 22707
@@ -14318,10 +14319,10 @@
 <e9b18f> <e9b190> 17215
 <e9b1a9> <e9b1ab> 19060
 <e9b1ad> <e9b1ae> 19063
-<e9b497> <e9b498> 19073
 endcidrange
 
-55 begincidrange
+56 begincidrange
+<e9b497> <e9b498> 19073
 <e9b49d> <e9b49e> 17218
 <e9b4b3> <e9b4b4> 22988
 <e9b593> <e9b594> 22993
diff -Naur aj16.old/CMap/UniJISX0213-UTF32-H aj16.new/CMap/UniJISX0213-UTF32-H
--- aj16.old/CMap/UniJISX0213-UTF32-H	2005-11-09 10:03:44.000000000 +0900
+++ aj16.new/CMap/UniJISX0213-UTF32-H	2006-05-04 08:34:34.000000000 +0900
@@ -3,9 +3,9 @@
 %%IncludeResource: ProcSet (CIDInit)
 %%BeginResource: CMap (UniJISX0213-UTF32-H)
 %%Title: (UniJISX0213-UTF32-H Adobe Japan1 6)
-%%Version: 1.004
+%%Version: 1.005
 %%Copyright: -----------------------------------------------------------
-%%Copyright: Copyright 1990-2005 Adobe Systems Incorporated.
+%%Copyright: Copyright 1990-2006 Adobe Systems Incorporated.
 %%Copyright: All Rights Reserved.
 %%Copyright:
 %%Copyright: Patents Pending
@@ -37,7 +37,7 @@
 end def
 
 /CMapName /UniJISX0213-UTF32-H def
-/CMapVersion 1.004 def
+/CMapVersion 1.005 def
 /CMapType 1 def
 
 /XUID [1 10 25614] def
@@ -13641,6 +13641,7 @@
 <00002460> <00002473> 7555
 <00002474> <00002487> 8071
 <00002488> <00002490> 8062
+<00002491> <00002492> 20587
 <0000249c> <000024b5> 8112
 <000024b6> <000024cf> 10339
 <000024d0> <000024e9> 10313
@@ -13662,10 +13663,10 @@
 <00002934> <00002935> 16201
 <000029fa> <000029fb> 16207
 <00002b05> <00002b07> 8207
-<00002e8c> <00002e8d> 13833
 endcidrange
 
 100 begincidrange
+<00002e8c> <00002e8d> 13833
 <00002ea1> <00002ea2> 14689
 <00002ebe> <00002ec0> 14197
 <00002f14> <00002f15> 4301
@@ -13765,10 +13766,10 @@
 <000052b6> <000052b8> 21205
 <000052ba> <000052bb> 17323
 <000052f8> <000052f9> 4293
-<0000530a> <0000530b> 14364
 endcidrange
 
 100 begincidrange
+<0000530a> <0000530b> 14364
 <00005327> <00005329> 21226
 <0000532b> <0000532c> 21229
 <00005387> <00005388> 21237
@@ -13868,10 +13869,10 @@
 <000061ce> <000061cf> 21593
 <000061ec> <000061ed> 21599
 <00006208> <00006209> 4930
-<00006232> <00006233> 4941
 endcidrange
 
 100 begincidrange
+<00006232> <00006233> 4941
 <0000628d> <0000628f> 21614
 <00006292> <00006293> 4954
 <000062b6> <000062b7> 21618
@@ -13971,10 +13972,10 @@
 <00007304> <00007305> 14784
 <00007318> <00007319> 18067
 <00007336> <00007337> 3867
-<0000733a> <0000733b> 19538
 endcidrange
 
 100 begincidrange
+<0000733a> <0000733b> 19538
 <0000734e> <0000734f> 5643
 <0000735d> <00007360> 21970
 <0000736e> <0000736f> 18078
@@ -14074,10 +14075,10 @@
 <00008167> <00008168> 17054
 <000081dd> <000081de> 19717
 <000081df> <000081e0> 6290
-<000081f0> <000081f2> 22282
 endcidrange
 
 100 begincidrange
+<000081f0> <000081f2> 22282
 <000081fa> <000081fb> 6293
 <00008201> <00008202> 6296
 <00008213> <00008214> 19724
@@ -14177,10 +14178,10 @@
 <0000904f> <00009052> 6910
 <000090c4> <000090c5> 17154
 <000090d8> <000090d9> 22681
-<000090fe> <000090ff> 18792
 endcidrange
 
 100 begincidrange
+<000090fe> <000090ff> 18792
 <00009122> <00009123> 17160
 <00009146> <00009147> 18800
 <00009193> <00009194> 22701
@@ -14280,10 +14281,10 @@
 <00009b96> <00009b97> 7312
 <00009b9f> <00009ba0> 7314
 <00009bd1> <00009bd2> 7323
-<00009c18> <00009c1a> 19040
 endcidrange
 
-60 begincidrange
+61 begincidrange
+<00009c18> <00009c1a> 19040
 <00009c49> <00009c4a> 19052
 <00009c4f> <00009c50> 17215
 <00009c69> <00009c6b> 19060
diff -Naur aj16.old/cid2code.txt aj16.new/cid2code.txt
--- aj16.old/cid2code.txt	2005-12-14 23:13:29.000000000 +0900
+++ aj16.new/cid2code.txt	2006-05-04 08:42:08.000000000 +0900
@@ -1,4 +1,4 @@
-# cid2code.txt (Version 12/14/2005)
+# cid2code.txt (Version 05/04/2006)
 #
 # The data in this table contains 28 tab-delimited columns of
 # information. The contents of this file supplement Technical Notes
@@ -20843,8 +20843,8 @@
 20584	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*
 20585	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*
 20586	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*
-20587	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*
-20588	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*
+20587	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	e29291	2491	00002491	00002491	*	*	*	*	*
+20588	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	e29292	2492	00002492	00002492	*	*	*	*	*
 20589	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*
 20590	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*
 20591	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*	*