diff -uNr gplghostscript.orig/Portfile gplghostscript/Portfile
--- gplghostscript.orig/Portfile	2005-09-14 18:11:34.000000000 -0600
+++ gplghostscript/Portfile	2006-04-10 16:33:09.000000000 -0600
@@ -2,8 +2,7 @@
 
 PortSystem 1.0
 name		gplghostscript
-version		8.15
-revision	1
+version		8.50
 homepage	http://www.cs.wisc.edu/~ghost/
 description	GPL Ghostscript, An interpreter for PostScript and PDF
 long_description	Ghostscript is the well-known PostScript interpreter \
@@ -18,31 +17,31 @@
 maintainers	yves@opendarwin.org
 
 master_sites	sourceforge:ghostscript:source \
-				sourceforge:gs-fonts:fonts \
-                http://www.ijg.org/files/:jpeg
+				sourceforge:gs-fonts:fonts
 
-distname	ghostscript-${version}
-distfiles	${distname}.tar.gz:source \
-			ghostscript-fonts-std-8.11.tar.gz:fonts \
-			jpegsrc.v6b.tar.gz:jpeg
-
-checksums	${distname}.tar.gz \
-				md5 742dfdb324cc2bb66b116a74577a99f6 \
-			ghostscript-fonts-std-8.11.tar.gz \
-				md5 6865682b095f8c4500c54b285ff05ef6 \
-			jpegsrc.v6b.tar.gz \
-				md5 dbd5f3b47ed13132f04c685d608a7547
+distname	ghostscript-${version}-gpl
+use_bzip2	yes
+set gplgs_file	${distname}${extract.suffix}
+set gplgs_fonts	ghostscript-fonts-std-8.11.tar.gz
+distfiles	${gplgs_file}:source ${gplgs_fonts}:fonts
+extract.only	${gplgs_file}
+
+checksums	${gplgs_file} md5 02afa3b3c5f4c2a0e023cb908f489d55 \
+			${gplgs_fonts} md5 6865682b095f8c4500c54b285ff05ef6
 
 depends_lib	port:gtk1 port:libpng port:zlib
 
 post-extract	{
-		cd ${workpath} 
-		system "mv jpeg-6b ${distname}/jpeg"
-		cd ${worksrcpath}
-		system "ln -s src/unix-gcc.mak makefile"
+	cd ${worksrcpath}
+	system "ln -s src/unix-gcc.mak makefile"
+	cd ${workpath}
+	system "gunzip -c ${distpath}/${gplgs_fonts} | tar xf -"
 }
 
 patchfiles	patch-src-unix-dll.mak
+post-patch {
+	reinplace "s|@@FILESPATH@@|${filespath}|" ${worksrcpath}/src/unix-dll.mak
+}
 
 use_configure	no
 
@@ -55,20 +54,20 @@
 		mandir=${prefix}/share/man
 
 destroot.target	soinstall
-destroot.destdir	prefix=${destroot}/${prefix}
+destroot.destdir	prefix=${destroot}${prefix}
 destroot.args	SHARE_LIBPNG=1 \
 		SHARE_ZLIB=1 \
 		XCFLAGS="-I${prefix}/include -no-cpp-precomp" \
 		XLDFLAGS="-L${prefix}/lib" \
-		mandir=${destroot}/${prefix}/share/man
+		mandir=${destroot}${prefix}/share/man
 
 post-destroot	{
-	file mkdir ${destroot}/${prefix}/share/ghostscript/ \
-		${destroot}/${prefix}/include/ghostscript
-	file copy ${workpath}/fonts ${destroot}/${prefix}/share/ghostscript
+	file mkdir ${destroot}${prefix}/share/ghostscript/ \
+		${destroot}${prefix}/include/ghostscript
+	file copy ${workpath}/fonts ${destroot}${prefix}/share/ghostscript
 	file copy ${worksrcpath}/src/iapi.h ${worksrcpath}/src/errors.h \
 		${worksrcpath}/src/gdevdsp.h ${worksrcpath}/src/ierrors.h \
-		${destroot}/${prefix}/include/ghostscript
-	system "ln -s gsc ${destroot}/${prefix}/bin/gs"
+		${destroot}${prefix}/include/ghostscript
+	system "ln -s gsc ${destroot}${prefix}/bin/gs"
 }
 
diff -uNr gplghostscript.orig/files/patch-src-unix-dll.mak gplghostscript/files/patch-src-unix-dll.mak
--- gplghostscript.orig/files/patch-src-unix-dll.mak	2005-05-16 01:02:03.000000000 -0600
+++ gplghostscript/files/patch-src-unix-dll.mak	2006-04-10 16:32:24.000000000 -0600
@@ -23,7 +23,7 @@
  # ------------------------- Recursive make targets ------------------------- #
  
 -SODEFS=LDFLAGS='$(LDFLAGS) $(CFLAGS_SO) -shared -Wl,-soname=$(GS_SONAME_MAJOR)'\
-+SODEFS=LDFLAGS='$(LDFLAGS) $(CFLAGS_SO) -dynamiclib -install_name $(prefix)/lib/$(GS_SONAME_MAJOR)'\
++SODEFS=LDFLAGS='$(LDFLAGS) $(CFLAGS_SO) -unexported_symbols_list @@FILESPATH@@/unexported_symbols_list -dynamiclib -install_name $(prefix)/lib/$(GS_SONAME_MAJOR)'\
   GS_XE=$(BINDIR)/$(SOBINRELDIR)/$(GS_SONAME_MAJOR_MINOR)\
   STDIO_IMPLEMENTATION=c\
   DISPLAY_DEV=$(DD)$(SOOBJRELDIR)/display.dev\
diff -uNr gplghostscript.orig/files/unexported_symbols_list gplghostscript/files/unexported_symbols_list
--- gplghostscript.orig/files/unexported_symbols_list	1969-12-31 17:00:00.000000000 -0700
+++ gplghostscript/files/unexported_symbols_list	2006-04-10 20:28:17.000000000 -0600
@@ -0,0 +1,86 @@
+_jcopy_block_row
+_jcopy_sample_rows
+_jdiv_round_up
+_jinit_c_coef_controller
+_jinit_c_main_controller
+_jinit_c_master_control
+_jinit_c_prep_controller
+_jinit_color_converter
+_jinit_color_deconverter
+_jinit_compress_master
+_jinit_d_coef_controller
+_jinit_d_main_controller
+_jinit_d_post_controller
+_jinit_downsampler
+_jinit_forward_dct
+_jinit_huff_decoder
+_jinit_huff_encoder
+_jinit_input_controller
+_jinit_inverse_dct
+_jinit_marker_reader
+_jinit_marker_writer
+_jinit_master_decompress
+_jinit_memory_mgr
+_jinit_phuff_decoder
+_jinit_upsampler
+_jpeg_CreateCompress
+_jpeg_CreateDecompress
+_jpeg_abort
+_jpeg_abort_compress
+_jpeg_abort_decompress
+_jpeg_add_quant_table
+_jpeg_alloc_huff_table
+_jpeg_alloc_quant_table
+_jpeg_calc_output_dimensions
+_jpeg_consume_input
+_jpeg_default_colorspace
+_jpeg_destroy
+_jpeg_destroy_compress
+_jpeg_destroy_decompress
+_jpeg_fdct_islow
+_jpeg_fill_bit_buffer
+_jpeg_finish_compress
+_jpeg_finish_decompress
+_jpeg_finish_output
+_jpeg_free_large
+_jpeg_free_small
+_jpeg_get_large
+_jpeg_get_small
+_jpeg_has_multiple_scans
+_jpeg_huff_decode
+_jpeg_idct_islow
+_jpeg_input_complete
+_jpeg_make_c_derived_tbl
+_jpeg_make_d_derived_tbl
+_jpeg_mem_available
+_jpeg_mem_init
+_jpeg_mem_term
+_jpeg_natural_order
+_jpeg_new_colormap
+_jpeg_open_backing_store
+_jpeg_quality_scaling
+_jpeg_read_header
+_jpeg_read_raw_data
+_jpeg_read_scanlines
+_jpeg_resync_to_restart
+_jpeg_save_markers
+_jpeg_set_colorspace
+_jpeg_set_defaults
+_jpeg_set_linear_quality
+_jpeg_set_marker_processor
+_jpeg_set_quality
+_jpeg_start_compress
+_jpeg_start_decompress
+_jpeg_start_output
+_jpeg_std_error
+_jpeg_std_message_table
+_jpeg_suppress_tables
+_jpeg_write_m_byte
+_jpeg_write_m_header
+_jpeg_write_marker
+_jpeg_write_raw_data
+_jpeg_write_scanlines
+_jpeg_write_tables
+_jround_up
+_jzero_far
+