diff -Naru mecab-ipadic-2.7.0-20060408/textproc/mecab-ipadic-eucjp/Portfile mecab-ipadic-2.7.0-20060707/textproc/mecab-ipadic-eucjp/Portfile
--- mecab-ipadic-2.7.0-20060408/textproc/mecab-ipadic-eucjp/Portfile	2006-04-10 15:47:04.000000000 +0900
+++ mecab-ipadic-2.7.0-20060707/textproc/mecab-ipadic-eucjp/Portfile	2006-07-19 08:41:43.000000000 +0900
@@ -2,8 +2,7 @@
 
 PortSystem      1.0
 name            mecab-ipadic-eucjp
-version         2.7.0-20060408
-revision	1
+version         2.7.0-20060707
 categories      textproc japanese
 maintainers     rsky0711@gmail.com
 platforms       darwin
@@ -14,15 +13,14 @@
 distfiles       mecab-ipadic-${version}${extract.suffix}
 worksrcdir      mecab-ipadic-${version}
 set dicdir      ipadic-eucjp
-set sfj         19691
+set sfj         20904
 master_sites    http://osdn.dl.sourceforge.jp/mecab/${sfj}/ \
                 http://keihanna.dl.sourceforge.jp/mecab/${sfj}/ \
                 http://qgpop.dl.sourceforge.jp/mecab/${sfj}/
-checksums       md5 0d388c7c7731b89fec470dd6d9d2960f \
-                sha1 15a266520f0ad6aac022148bb4423ac7c8c35d93 \
-                rmd160 7046e3edbeb358b4347ef4aa3e6dfeeb26468901
+checksums       md5    45b9f822700ad4eceb6722d6edcc2a46 \
+                sha1   373be900f9be22957636acc54f120fea013f8818 \
+                rmd160 cf2f7ad97e50cae6d0a9e9f13bc9328aeab33304
 
-depends_build   bin:perl:perl5.8
 depends_lib     port:mecab
 
 configure.args  --with-mecab-config=${prefix}/bin/mecab-config \
diff -Naru mecab-ipadic-2.7.0-20060408/textproc/mecab-ipadic-sjis/Portfile mecab-ipadic-2.7.0-20060707/textproc/mecab-ipadic-sjis/Portfile
--- mecab-ipadic-2.7.0-20060408/textproc/mecab-ipadic-sjis/Portfile	2006-04-10 15:47:04.000000000 +0900
+++ mecab-ipadic-2.7.0-20060707/textproc/mecab-ipadic-sjis/Portfile	2006-07-19 08:41:37.000000000 +0900
@@ -2,8 +2,7 @@
 
 PortSystem      1.0
 name            mecab-ipadic-sjis
-version         2.7.0-20060408
-revision	1
+version         2.7.0-20060707
 categories      textproc japanese
 maintainers     rsky0711@gmail.com
 platforms       darwin
@@ -14,15 +13,14 @@
 distfiles       mecab-ipadic-${version}${extract.suffix}
 worksrcdir      mecab-ipadic-${version}
 set dicdir      ipadic-sjis
-set sfj         19691
+set sfj         20904
 master_sites    http://osdn.dl.sourceforge.jp/mecab/${sfj}/ \
                 http://keihanna.dl.sourceforge.jp/mecab/${sfj}/ \
                 http://qgpop.dl.sourceforge.jp/mecab/${sfj}/
-checksums       md5 0d388c7c7731b89fec470dd6d9d2960f \
-                sha1 15a266520f0ad6aac022148bb4423ac7c8c35d93 \
-                rmd160 7046e3edbeb358b4347ef4aa3e6dfeeb26468901
+checksums       md5    45b9f822700ad4eceb6722d6edcc2a46 \
+                sha1   373be900f9be22957636acc54f120fea013f8818 \
+                rmd160 cf2f7ad97e50cae6d0a9e9f13bc9328aeab33304
 
-depends_build   bin:perl:perl5.8
 depends_lib     port:mecab
 
 configure.args  --with-mecab-config=${prefix}/bin/mecab-config \
diff -Naru mecab-ipadic-2.7.0-20060408/textproc/mecab-ipadic-utf8/Portfile mecab-ipadic-2.7.0-20060707/textproc/mecab-ipadic-utf8/Portfile
--- mecab-ipadic-2.7.0-20060408/textproc/mecab-ipadic-utf8/Portfile	2006-04-10 15:47:04.000000000 +0900
+++ mecab-ipadic-2.7.0-20060707/textproc/mecab-ipadic-utf8/Portfile	2006-07-19 08:41:33.000000000 +0900
@@ -2,8 +2,7 @@
 
 PortSystem      1.0
 name            mecab-ipadic-utf8
-version         2.7.0-20060408
-revision	1
+version         2.7.0-20060707
 categories      textproc japanese
 maintainers     rsky0711@gmail.com
 platforms       darwin
@@ -14,15 +13,14 @@
 distfiles       mecab-ipadic-${version}${extract.suffix}
 worksrcdir      mecab-ipadic-${version}
 set dicdir      ipadic-utf8
-set sfj         19691
+set sfj         20904
 master_sites    http://osdn.dl.sourceforge.jp/mecab/${sfj}/ \
                 http://keihanna.dl.sourceforge.jp/mecab/${sfj}/ \
                 http://qgpop.dl.sourceforge.jp/mecab/${sfj}/
-checksums       md5 0d388c7c7731b89fec470dd6d9d2960f \
-                sha1 15a266520f0ad6aac022148bb4423ac7c8c35d93 \
-                rmd160 7046e3edbeb358b4347ef4aa3e6dfeeb26468901
+checksums       md5    45b9f822700ad4eceb6722d6edcc2a46 \
+                sha1   373be900f9be22957636acc54f120fea013f8818 \
+                rmd160 cf2f7ad97e50cae6d0a9e9f13bc9328aeab33304
 
-depends_build   bin:perl:perl5.8
 depends_lib     port:mecab
 
 configure.args  --with-mecab-config=${prefix}/bin/mecab-config \